#1951 MSys Installer Access Denied

WEBSITE
doc
nobody
Task
none
Documentation
False
2014-08-18
2013-03-27
christopherb
No

Hello, I'm new to MinGW and MSys, but I'm not a computer newbie.

I tried to install MinGW and MSys by downloading the lzma files (etc.), and the MSYS-1.0.11.exe. After unpacking all of the MinGW files to D:\MinGW I tried to run the MSys installer from a variety of locations. All I got was:

"Unable to execute file in temporary directory. Setup Aborted. Error 5: Access Denied"

I'm running Windows XP Pro with SP3 and all the updates (MSVCRT etc), and I have administrator rights on my account. I have no idea why this is happening. I'd really just have liked to download an lzma file that I could unpack to where it might make sense.

I did download mingw-get-install and was able to install mingw, gcc, and mysys, although I haven't tried it yet. If it installed, I'm assuming it will do what it should once I set the parameters.

Suggestions?

Related

Issues: #1951

Discussion

  • Earnie Boyd
    Earnie Boyd
    2013-03-27

    • labels: --> MSYS
    • milestone: MSYS --> INSTALLER
    • type: Bug --> Support
     
  • Keith Marshall
    Keith Marshall
    2013-03-27

    I've no idea why you're getting this error, but MSYS-1.0.11.exe is an antique, obsolete, and no longer supported; you should not be using it today. Indeed, if it did run, even partially, it may well have wrecked any correctly installed components, if you ran it after mingw-get-inst.exe, (which is what I presume you mean by mingw-get-install, and which AFAIK does not exist; certainly, it isn't anything which we provide).

    Today, the correct way to install MSYS is by running mingw-get; for first time use you may find mingw-get-inst convenient, but do make sure to select the option to use the latest catalogue, or your installation will be out of date.

    After first time installation, you can keep your catalogue up to date, by periodically running 'mingw-get update'. After doing this, you can then keep your installation fresh, by running 'mingw-get upgrade'.

     
  • Earnie Boyd
    Earnie Boyd
    2013-03-28

    • status: unread --> closed
    • resolution: none --> rejected
    • category: Unknown --> User_Error
     
  • Earnie Boyd
    Earnie Boyd
    2013-03-28

    If you need to discuss this further please use the mingw-users@lists.sourceforge.net mail list.

     
  • christopherb
    christopherb
    2013-03-28

    Thanks Keith.

    The issue appeared because I attempted to do a manual installation, and the Msys executable was the only way to install it seperately.

    Perhaps the solution is to remove the instructions for manual installation of MinGW and MSYS from the website, and only provide instructions for mingw-get-inst.

    C

    --- On Wed, 3/27/13, Keith Marshall keithmarshall@users.sf.net wrote:

    From: Keith Marshall keithmarshall@users.sf.net
    Subject: [mingw:bugs] #1951 MSys Installer Access Denied
    To: "[mingw:bugs] " 1951@bugs.mingw.p.re.sf.net
    Received: Wednesday, March 27, 2013, 2:36 PM

    I've no idea why you're getting this error, but MSYS-1.0.11.exe is an antique, obsolete, and no longer supported; you should not be using it today. Indeed, if it did run, even partially, it may well have wrecked any correctly installed components, if you ran it after mingw-get-inst.exe, (which is what I presume you mean by mingw-get-install, and which AFAIK does not exist; certainly, it isn't anything which we provide).
    Today, the correct way to install MSYS is by running mingw-get; for first time use you may find mingw-get-inst convenient, but do make sure to select the option to use the latest catalogue, or your installation will be out of date.
    After first time installation, you can keep your catalogue up to date, by periodically running 'mingw-get update'. After doing this, you can then keep your installation fresh, by running 'mingw-get upgrade'.

    [bugs:#1951] MSys Installer Access Denied
    Status: unread

    Labels: MSYS

    Created: Wed Mar 27, 2013 08:19 PM UTC by christopherb

    Last Updated: Wed Mar 27, 2013 09:31 PM UTC

    Owner: nobody
    Hello, I'm new to MinGW and MSys, but I'm not a computer newbie.
    I tried to install MinGW and MSys by downloading the lzma files (etc.), and the MSYS-1.0.11.exe. After unpacking all of the MinGW files to D:\MinGW I tried to run the MSys installer from a variety of locations. All I got was:
    "Unable to execute file in temporary directory. Setup Aborted. Error 5: Access Denied"
    I'm running Windows XP Pro with SP3 and all the updates (MSVCRT etc), and I have administrator rights on my account. I have no idea why this is happening. I'd really just have liked to download an lzma file that I could unpack to where it might make sense.
    I did download mingw-get-install and was able to install mingw, gcc, and mysys, although I haven't tried it yet. If it installed, I'm assuming it will do what it should once I set the parameters.
    Suggestions?

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw/bugs/1951/
    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Issues: #1951

  • Earnie Boyd
    Earnie Boyd
    2013-03-28

    The website wiki is community editable. Perhaps you could do the honors? See http://www.mingw.org/wiki/MinGWiki_Pages for how to get started.

     
  • Earnie Boyd
    Earnie Boyd
    2013-03-28

    • labels: MSYS --> MSYS, INSTALL
    • status: closed --> open
    • milestone: INSTALLER --> WEBSITE
    • type: Support --> Task
    • resolution: rejected --> none
    • category: User_Error --> Documentation
     
  • christopherb
    christopherb
    2013-03-28

    Yeah! Sure thing. I was kind of working on a document to detail the manual or automatic installation anyways. Perhaps I can send it to you for review before changing???

    Christopher

    --- On Thu, 3/28/13, Earnie Boyd earnie@users.sf.net wrote:

    From: Earnie Boyd earnie@users.sf.net
    Subject: [mingw:bugs] #1951 MSys Installer Access Denied
    To: "[mingw:bugs] " 1951@bugs.mingw.p.re.sf.net
    Received: Thursday, March 28, 2013, 1:20 PM

    The website wiki is community editable. Perhaps you could do the honors? See http://www.mingw.org/wiki/MinGWiki_Pages for how to get started.

    [bugs:#1951] MSys Installer Access Denied
    Status: open

    Labels: MSYS INSTALL

    Created: Wed Mar 27, 2013 08:19 PM UTC by christopherb

    Last Updated: Thu Mar 28, 2013 01:31 PM UTC

    Owner: nobody
    Hello, I'm new to MinGW and MSys, but I'm not a computer newbie.
    I tried to install MinGW and MSys by downloading the lzma files (etc.), and the MSYS-1.0.11.exe. After unpacking all of the MinGW files to D:\MinGW I tried to run the MSys installer from a variety of locations. All I got was:
    "Unable to execute file in temporary directory. Setup Aborted. Error 5: Access Denied"
    I'm running Windows XP Pro with SP3 and all the updates (MSVCRT etc), and I have administrator rights on my account. I have no idea why this is happening. I'd really just have liked to download an lzma file that I could unpack to where it might make sense.
    I did download mingw-get-install and was able to install mingw, gcc, and mysys, although I haven't tried it yet. If it installed, I'm assuming it will do what it should once I set the parameters.
    Suggestions?

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw/bugs/1951/
    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Issues: #1951

    • Earnie Boyd
      Earnie Boyd
      2013-03-28

      The edited wiki pages are revision controlled. Just do the changes and if we need to revert we can do that easily.

       
  • christopherb
    christopherb
    2013-03-28

    I must be missing something...I can't see an "edit" option on the pages.

    I've been a member for a whole 12minutes and 42 seconds already. Come on!!!

    I surmise you have to enable the priviledges or something?

    --- On Thu, 3/28/13, Earnie Boyd earnie@users.sf.net wrote:

    From: Earnie Boyd earnie@users.sf.net
    Subject: [mingw:bugs] #1951 MSys Installer Access Denied
    To: "[mingw:bugs] " 1951@bugs.mingw.p.re.sf.net
    Received: Thursday, March 28, 2013, 1:20 PM

    The website wiki is community editable. Perhaps you could do the honors? See http://www.mingw.org/wiki/MinGWiki_Pages for how to get started.

    [bugs:#1951] MSys Installer Access Denied
    Status: open

    Labels: MSYS INSTALL

    Created: Wed Mar 27, 2013 08:19 PM UTC by christopherb

    Last Updated: Thu Mar 28, 2013 01:31 PM UTC

    Owner: nobody
    Hello, I'm new to MinGW and MSys, but I'm not a computer newbie.
    I tried to install MinGW and MSys by downloading the lzma files (etc.), and the MSYS-1.0.11.exe. After unpacking all of the MinGW files to D:\MinGW I tried to run the MSys installer from a variety of locations. All I got was:
    "Unable to execute file in temporary directory. Setup Aborted. Error 5: Access Denied"
    I'm running Windows XP Pro with SP3 and all the updates (MSVCRT etc), and I have administrator rights on my account. I have no idea why this is happening. I'd really just have liked to download an lzma file that I could unpack to where it might make sense.
    I did download mingw-get-install and was able to install mingw, gcc, and mysys, although I haven't tried it yet. If it installed, I'm assuming it will do what it should once I set the parameters.
    Suggestions?

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw/bugs/1951/
    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Issues: #1951

    • Earnie Boyd
      Earnie Boyd
      2013-03-28

      Did you read the reference I gave you? http://www.mingw.org/wiki/MinGWiki_Pages

      It tells you what you should do. You did the first step, now you need to do the second step!

       
  • Earnie Boyd
    Earnie Boyd
    2013-06-17

    • status: open --> doc